Bug 26763 - Use standard information style for multi-hold message
Summary: Use standard information style for multi-hold message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on: 19718
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-21 12:04 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26763: Use standard information style for multi-hold message (2.52 KB, patch)
2020-10-21 12:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26763: Use standard information style for multi-hold message (2.56 KB, patch)
2020-10-25 02:12 UTC, David Nind
Details | Diff | Splinter Review
Bug 26763: Use standard information style for multi-hold message (2.62 KB, patch)
2020-10-25 02:22 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26763: Use standard information style for multi-hold message (2.62 KB, patch)
2020-10-25 02:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 12:04:24 UTC
Bug 19718 introduced a change to the OPAC holds page which shows a message when the patron is placing a hold on a title they already have a hold on.

Rather than use an <h3> tag for this message I propose we use <div class="alert alert-info">
Comment 1 Owen Leonard 2020-10-21 12:17:00 UTC
Created attachment 112095 [details] [review]
Bug 26763: Use standard information style for multi-hold message

This patch modifies the markup of the message which is displayed when
the patron tries to place a hold on a title they already have a hold on.
Now the message is styled consistently with other similar messages.

To test, apply the patch and follow the steps used to test Bug 19718:

- In Administration -> Circulation and fine rules, set a rule to allow
  multiple holds on a title.
- Log in to the OPAC as a user covered by the above rule and locate
  a bibliographic record on which multiple holds can be placed.
- Place a hold on the record.
- Return to the record details for that title and place another hold.
- You should see a correctly-styled message about having at least one
  other hold on the record.
Comment 2 David Nind 2020-10-25 02:12:08 UTC
Created attachment 112452 [details] [review]
Bug 26763: Use standard information style for multi-hold message

This patch modifies the markup of the message which is displayed when
the patron tries to place a hold on a title they already have a hold on.
Now the message is styled consistently with other similar messages.

To test, apply the patch and follow the steps used to test Bug 19718:

- In Administration -> Circulation and fine rules, set a rule to allow
  multiple holds on a title.
- Log in to the OPAC as a user covered by the above rule and locate
  a bibliographic record on which multiple holds can be placed.
- Place a hold on the record.
- Return to the record details for that title and place another hold.
- You should see a correctly-styled message about having at least one
  other hold on the record.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2020-10-25 02:22:47 UTC
Created attachment 112457 [details] [review]
Bug 26763: Use standard information style for multi-hold message

This patch modifies the markup of the message which is displayed when
the patron tries to place a hold on a title they already have a hold on.
Now the message is styled consistently with other similar messages.

To test, apply the patch and follow the steps used to test Bug 19718:

- In Administration -> Circulation and fine rules, set a rule to allow
  multiple holds on a title.
- Log in to the OPAC as a user covered by the above rule and locate
  a bibliographic record on which multiple holds can be placed.
- Place a hold on the record.
- Return to the record details for that title and place another hold.
- You should see a correctly-styled message about having at least one
  other hold on the record.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2020-10-25 02:23:36 UTC
Created attachment 112458 [details] [review]
Bug 26763: Use standard information style for multi-hold message

This patch modifies the markup of the message which is displayed when
the patron tries to place a hold on a title they already have a hold on.
Now the message is styled consistently with other similar messages.

To test, apply the patch and follow the steps used to test Bug 19718:

- In Administration -> Circulation and fine rules, set a rule to allow
  multiple holds on a title.
- Log in to the OPAC as a user covered by the above rule and locate
  a bibliographic record on which multiple holds can be placed.
- Place a hold on the record.
- Return to the record details for that title and place another hold.
- You should see a correctly-styled message about having at least one
  other hold on the record.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-04 12:04:18 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 21:12:49 UTC
enhancement will not be backported to 20.05.x